Headless LMS

Update a course

PATCH /api/courses/{id}. Update a course. Headless LMS Content API reference.

PATCH
/api/courses/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/courses/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "orgId": "string",  "id": "string",  "type": "course",  "title": "string",  "slug": "string",  "description": "string",  "status": "draft",  "category": "string",  "thumbnailAssetId": "string",  "settings": {    "transcriptDownloads": true,    "comments": {      "enabled": true,      "threaded": true,      "requireReview": true,      "reactions": true    }  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string"}